package com.tzld.longarticle.recommend.server.service.video;

import com.tzld.longarticle.recommend.server.common.response.CommonResponse;
import com.tzld.longarticle.recommend.server.model.param.ChooseMinigramParam;
import com.tzld.longarticle.recommend.server.model.param.GetOffVideosParam;
import com.tzld.longarticle.recommend.server.model.param.RecallVideosParam;
import com.tzld.longarticle.recommend.server.model.param.SearchVideoParam;
import com.tzld.longarticle.recommend.server.model.vo.ChooseMinigramResponse;
import com.tzld.longarticle.recommend.server.model.vo.SearchVideoResponse;

import java.io.UnsupportedEncodingException;

public interface MatchVideoService {
    CommonResponse<SearchVideoResponse> searchVideo(SearchVideoParam searchVideoParam);

    CommonResponse<ChooseMinigramResponse> chooseMinigram(ChooseMinigramParam chooseMinigramParam);

    String getOffVideos(GetOffVideosParam getOffVideosParam);

    String recallVideos(RecallVideosParam recallVideosParam) throws UnsupportedEncodingException;
}
